import axios from "axios";
import config from "process";

import { getToken } from "./auth";

const axiosInstance = axios.create({
  withCredentials: false,
});

// axiosInstance.defaults.baseURL = dotnetPath;
axiosInstance.interceptors.request.use(
  async (config) => {
    const token = await getToken();

    config.headers = {
      Authorization: `Bearer ${token}`,
    };
    return config;
  },
  (error) => {
    Promise.reject(error);
  }
);

export default axiosInstance;
